#include "CreateOpenGLDriver.h"
#include "CD3D9Driver.h"

namespace irr
{
namespace video
{

#ifdef _IRR_COMPILE_WITH_DIRECT3D_9_
IVideoDriver* createDriver(
               IrrlichtDevice* device
			)

//! creates a video driver

{

//	const bool pureSoftware = false;



	CD3D9Driver* dx9 = 0;
    dx9 = new CD3D9Driver(
//                        device->CreationParams,
                        device->getFileSystem()
                        );

	if (!dx9->initDriver() )
	{
		dx9->drop();
		return 0;
	}
	return dx9;



}
#endif // _IRR_COMPILE_WITH_DIRECT3D_9_

}
}
